/*  Time-stamp: <1 Nov 2002 14:52 GMT like_func.h maising> */

#ifndef __LIKE_FUNC_H
#define __LIKE_FUNC_H

#include "like_integrals.h"
#include "like_covariance.h"

double loglike(double *cps1d, double *gps1d, int na, double sp,
	       int sparseflag,
	       double *vis, double *rms, int nv,
	       double *freq, double nf, double freq0, double convf,
	       double *chisq, double *lndet,
	       integral_struct *int_data, cm_struct *cm_data,
	       int rank, int npe);


int query_loglike_func_count(); 
void reset_loglike_func_count();
void set_fnorm(double val);
void init_loglike_func(int np, int na, int sparseflag,
		       double *ra, double *dec, double ra_ref, double dec_ref,
		       int *freqn, double *u, double *v, double *w,
		       double *vis, double *rms, int nv,
		       double *freq, double *antwdth, double *sigma, int nf, 
		       double freq0, double convf, double *rbins, int ita,
		       int *fieldn, int ni, int imagflag, int saveflag,
		       int verbose, int rank, int npe);
double loglike_func(double *x);
#endif
