/*  Time-stamp: <28 Jan 2002 13:20 GMT like_lapack.h maising> */

#ifndef __LIKE_LAPACK_H
#define __LIKE_LAPACK_H

void cholesky_decompose(double **a, int n);
void sp_cholesky_decompose(double *a, int n);
void sym_eigenval(double **a, double *eval, int nc);
void gen_sym_eigenval(double **a, double **b, double *eval, int nc);
void gen_sym_exp_eigenval(double **a, double **b, int nv,
			  double valmin, double valmax,
			  double *eigval, double **eigvec, int *nev);
void sp_gen_sym_eigenval(double *ac, double *bc, int nv, 
			 double *eigval, double **eigvec);
void sp_gen_sym_exp_eigenval(double *a, double *b, int nv,
			     double valmin, double valmax,
			     double *eigval, double **eigvec, int *nev);

#endif
