/*  Time-stamp: <28 Jan 2002 13:09 GMT like_matvec.h maising> */

#ifndef __LIKE_MATVEC_H
#define __LIKE_MATVEC_H

void p0_p2(double **p0, int nv, int lu, double **pp2);
void p2_p0(double *p2, int nv, int lu, double ***pp0);
void p1_p2(int *icn, int *irn, double *c, int nv, int lu, double **pp2);
void p1_p0(int *icn, int *irn, double *c, int nv, int lu, double ***pp0);
void p1_p0_2(int *icn, int *irn, double *c, int nv, int lu, double ***pp0);
void p1_mult_matvec(double *y, int nv, 
		    int *icn, int *irn, double *a, int nz, double *x);
void p2_mult_matvec(double *y, int nv, double *a, double *x);
void mult_matvec(double *y, int n1, double **a, int n2, double *x);
void mult_matmat(double **y, int n1, int n2, double **a, int n3, double **x);
double frobenius_norm(double **a, int n1, int n2);

#endif
