/*
 * routines to read parameters from text file, identified by keywords
 */

#ifndef __PARAM2_H
#define __PARAM2_H

int open_param_file(char filename[]);
int close_param_file();
int fget_param_double(double *param, char keyword[]);
int fget_param_float(float *param, char keyword[]);
int fget_param_int(int *param, char keyword[]);
int fget_param_string(char *param, char keyword[]);
int fget_param_char(char *param, char keyword[]);
int fget_param_long(long *param, char keyword[]);
int fget_param_deg(double *deg, double *min, double *sec, char keyword[]);

int get_param_double(double *param, char keyword[]);
int get_param_float(float *param, char keyword[]);
int get_param_int(int *param, char keyword[]);
int get_param_string(char *param, char keyword[]);
int get_param_char(char *param, char keyword[]);
int get_param_long(long *param, char keyword[]);
int get_param_filename(char param[], char txt[], char rwmode[]);
#endif
