/*  Time-stamp: <27 Oct 2001 14:03 BST bessi0.h maising> */
#ifndef __BESSI0_H
#define __BESSI0_H

#ifdef AIX

#define CDBESSI0 cdbessi0
#define CDEFACBESSI0 cdefacbessi0

#else

#define CDBESSI0 cdbessi0_
#define CDEFACBESSI0 cdefacbessi0_

#endif

/* modified Bessel function of first kind and zeroth order for 
 * a complex argument z = x + iy. */ 
void CDBESSI0(double *x, double *y, double *bx, double *by);

/* modified Bessel function, multiplied by exp(arg). this is useful
   to prevent overflow errors for large arguments x */
void CDEFACBESSI0(double *arg, double *x, double *y, double *bx, double *by);

#endif
