/*  Time-stamp: <28 Jan 2002 12:32 GMT integration.h maising> */

#ifndef __INTEGRATION_H
#define __INTEGRATION_H

typedef struct {
  double re, im;
} dcomplex;

dcomplex cqsimp2(dcomplex (*func)(double), double a, double b, double eps, 
	      int *iter);
double qsimp2(double (*func)(double), double a, double b, double eps, 
	      int *iter);
double qromb2(double (*func)(double), double a, double b, double eps, 
	      int *iter);

#endif
