/*  Time-stamp: <28 Jan 2002 13:13 GMT like_beam.h maising> */

#ifndef __LIKE_BEAM_H
#define __LIKE_BEAM_H

#include "integration.h"

double myinterp(double **image, int i0, int j0, double x0, double y0,
		double xcell, double ycell, double xpoint, double ypoint,
		int mode);
void set_gaussian(double sigma, double freq);
dcomplex gaussian_2d_fft(double u, double v, double freq);
void set_beam(double **re, double **im, int nx, int ny, 
	      double uvcellx, double uvcelly, double freq);
void read_beam(char filename[], double scale, double cellsize, double freq);
void write_beam(char filename[]);
void query_beam_params(double ***r, double ***i, int *nx, int *ny, 
		       double *cellx, double *celly, double *freq);
void free_beam();
dcomplex my_beamfft(double u, double v, double freq);

#endif
